

%Image of the shaded topograpy ----------------------------------------
[gxz,gyz]=gradient(z ,dx_horiz,dx_horiz);
[gxh,gyh]=gradient(h,dx_horiz,dx_horiz);
gx = gxz+gxh;
gy = gyz+gyh;

im_topo = ind2rgb(round((gx-gy)*20+32), gray);
% %black were the dense flow is
% ind = find(h>1e-4);
% im_1ch = im_topo(:,:,1);im_1ch(ind)=im_1ch(ind)*2; im_topo(:,:,1)=im_1ch;
% im_1ch = im_topo(:,:,2);im_1ch(ind)=im_1ch(ind)*2; im_topo(:,:,2)=im_1ch;
% im_1ch = im_topo(:,:,2);im_1ch(ind)=im_1ch(ind)*2; im_topo(:,:,3)=im_1ch;
% im_1ch(im_1ch>1)=1;


%Image of the flow ----------------------------------------
%ech=double(imread('ech_epaisseur_flow2.tif'))/255;
%ma_coul = [ech(1,:,1)' ech(1,:,2)' ech(1,:,3)'];
ma_coul = jet;
ma_coul(1,:)=[0 0 0];
im_flow=ind2rgb( round(h*3), ma_coul);
no_deposit=h*0+1;
no_deposit(h<1e-2)=0; %hd>1e-4 means that the mass comes from the dome
% im_flow(:,:,1) = im_flow(:,:,1).*no_deposit;
% im_flow(:,:,2) = im_flow(:,:,2).*no_deposit;
% im_flow(:,:,3) = im_flow(:,:,3).*no_deposit;
% im_flow(im_flow>1)=1; im_flow(im_flow<0)=0;
%im_flow(im_flow==0)=1;

ind=find(h>0.01);
k=im_topo(:,:,1); k(ind)=im_topo(ind)*0.4;im_topo(:,:,1)=k;
k=im_topo(:,:,2); k(ind)=im_topo(ind)*0.4;im_topo(:,:,2)=k;
k=im_topo(:,:,3); k(ind)=im_topo(ind)*0.4;im_topo(:,:,3)=k;

%Total image
m = im_topo + im_flow*0.7;
ind = find(m>1); m(ind)=1;
ind = find(m<0); m(ind)=0;

%3D visualization of the flow
%subplot(2,2,1)
cla
surf(x,y, (z+h),m);
view(-100, 60)
set(gca,'ydir','reverse');
axis equal;
hold on
%shading interp
set(gcf, 'color', 'w')
xlabel('Easting, m')
ylabel('Northing, m')
dd = sprintf('time: %5.1f s', t)
text(50000, 50000, 20000, dd)
set(gca,'ydir','normal');
 
x1=26;  y1=18;
x2=117; y2=86;
hrep=[]; zrep=[];
% for i=x1:x2
%     j=round(y1+(i-x1)/(x2-x1)*(y2-y1));
%     hrep=[hrep,h(j,i)];
%     zrep=[zrep,z(j,i)];  
%     plot3(x(i), y(j), z(j,i)+h(j,i), '.r')
% end
% subplot(2,2,3:4)
% cla
% 
% patch('xdata', [x1 x1:x2 x2], 'ydata', [zrep(1) zrep+hrep zrep(1)], 'facecolor', [1 0.2 0.2]);
% patch('xdata', [x1 x1:x2 x2], 'ydata', [zrep(1) zrep zrep(1)], 'facecolor', [0.8 0.6 0.2]);
% 
% 
% subplot(2,2,2)
% 
% %hcoupe = h(53,:);
% ind = find(hrep>0.1);
% if ~isempty(ind)
%     xplot=[ind(end)  ind(1)];
%     X=[X, xplot'];
%     T=[T, t/3600/24];
%     H=[H, max(max(h))];
%     plot(t/3600/24,(xplot(:,1)-51.5)*dx_horiz,'*r')
%     hold on
%     plot(t/3600/24,(51.5-xplot(:,2))*dx_horiz,'ob')
%end






